package com.taais.biz.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 common_algorithm_config
 *
 * @author km
 * 2024-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "common_algorithm_config")
public class CommonAlgorithmConfig extends BaseEntity
    {
@Serial
private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Id
    private Integer id;

    /** $column.columnComment */
    private String tool;

    /** $column.columnComment */
    private String module;

    /** $column.columnComment */
    private String algorithmName;

    /** $column.columnComment */
    private String startApi;

    /** $column.columnComment */
    private String pauseApi;

    /** $column.columnComment */
    private String terminateApi;

    /** $column.columnComment */
    private String parameters;

    /** $column.columnComment */
    private String remarks;

    /** $column.columnComment */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
