package com.taais.biz.domain.bo;

import com.taais.biz.domain.CommonAlgorithmConfig;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 【请填写功能名称】业务对象 common_algorithm_config
 *
 * @author km
 * @date 2024-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CommonAlgorithmConfig.class, reverseConvertGenerate = false)
public class CommonAlgorithmConfigBo extends BaseEntity{
    /**
     * $column.columnComment
     */
    private Integer id;

    /**
     * $column.columnComment
     */
    private String tool;

    /**
     * $column.columnComment
     */
    private String module;

    /**
     * $column.columnComment
     */
    private String algorithmName;

    /**
     * $column.columnComment
     */
    private String startApi;

    /**
     * $column.columnComment
     */
    private String pauseApi;

    /**
     * $column.columnComment
     */
    private String terminateApi;

    /**
     * $column.columnComment
     */
    private String parameters;

    /**
     * $column.columnComment
     */
    private String remarks;


}
