package com.taais.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import lombok.Data;
import java.io.Serial;
import java.io.Serializable;
import lombok.NoArgsConstructor;

/**
 * 【请填写功能名称】导入视图对象 common_algorithm_config
 *
 * @author km
 * @date 2024-12-23
 */

@Data
@NoArgsConstructor
public class CommonAlgorithmConfigImportVo implements Serializable
{

    @Serial
    private static final long serialVersionUID = 1L;


     /** $column.columnComment */
    @ExcelProperty(value = "${comment}", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "$column.readConverterExp()")
    private String tool;

     /** $column.columnComment */
    @ExcelProperty(value = "${comment}", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "$column.readConverterExp()")
    private String module;

     /** $column.columnComment */
    @ExcelProperty(value = "${comment}", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "$column.readConverterExp()")
    private String algorithmName;

     /** $column.columnComment */
    @ExcelProperty(value = "${comment}", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "$column.readConverterExp()")
    private String startApi;

     /** $column.columnComment */
    @ExcelProperty(value = "${comment}", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "$column.readConverterExp()")
    private String pauseApi;

     /** $column.columnComment */
    @ExcelProperty(value = "${comment}", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "$column.readConverterExp()")
    private String terminateApi;

     /** $column.columnComment */
    @ExcelProperty(value = "${comment}", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "$column.readConverterExp()")
    private String parameters;

     /** $column.columnComment */
    @ExcelProperty(value = "${comment}", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "$column.readConverterExp()")
    private String remarks;

     /** $column.columnComment */
    @ExcelProperty(value = "${column.columnComment}")
    private Integer delFlag;


}
