package com.taais.biz.service;

import java.util.List;

import com.taais.biz.domain.CommonAlgorithmConfig;
import com.taais.biz.domain.bo.CommonAlgorithmConfigBo;
import com.taais.biz.domain.vo.CommonAlgorithmConfigVo;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;

/**
 * 【请填写功能名称】Service接口
 *
 * @author km
 * 2024-12-23
 */
public interface ICommonAlgorithmConfigService extends IBaseService<CommonAlgorithmConfig> {
    CommonAlgorithmConfig getByAlgorithmName(String algorithmName);

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
        CommonAlgorithmConfigVo selectById(Integer id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param commonAlgorithmConfigBo 【请填写功能名称】Bo
     * @return 【请填写功能名称】集合
     */
    List<CommonAlgorithmConfigVo> selectList(CommonAlgorithmConfigBo commonAlgorithmConfigBo);

    /**
     * 分页查询【请填写功能名称】列表
     *
     * @param commonAlgorithmConfigBo 【请填写功能名称】Bo
     * @return 分页【请填写功能名称】集合
     */
    PageResult<CommonAlgorithmConfigVo> selectPage(CommonAlgorithmConfigBo commonAlgorithmConfigBo);

    /**
     * 新增【请填写功能名称】
     *
     * @param commonAlgorithmConfigBo 【请填写功能名称】Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(CommonAlgorithmConfigBo commonAlgorithmConfigBo);

    /**
     * 修改【请填写功能名称】
     *
     * @param commonAlgorithmConfigBo 【请填写功能名称】Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(CommonAlgorithmConfigBo commonAlgorithmConfigBo);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Integer[] ids);

}
